package com.seer.teach.mp.app.convert;

import com.seer.teach.mp.app.controller.resp.AppMpDealerApplyResp;
import com.seer.teach.mp.entity.MpDealerApplicationsEntity;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AppDealerApplicationsConvert {

    AppDealerApplicationsConvert INSTANCE = Mappers.getMapper(AppDealerApplicationsConvert.class);

    AppMpDealerApplyResp convertOne(MpDealerApplicationsEntity req);

    List<AppMpDealerApplyResp> convertRespList(List<MpDealerApplicationsEntity> list);
}